# bbn

A bare-bones note-taking app written in php.
No javascript.

## Install

* Upload the files on a php server.
* Edit settings.php.sample.php and rename it to settings.php.

## Usage

| Home page              | action with param                | action with empty param       | hotkey |
|------------------------|----------------------------------|-------------------------------|--------|
| search (default action)| full text search                 | reload home                   | alt-s  |
| open                   | open if exists, or create        | create with timestamp as title| alt-o  |
| tag                    | filter list by tag               | show all tags in list         | alt-t  |
| clip                   | insert in todo                   |                               | alt-c  |
| download               | download all notes in a zip file |                               | alt-d  |

| Note page              | action with param        | hotkey |
|------------------------|--------------------------|--------|
| home (default action)  | save and back to home    | alt-h  |
| save                   | save                     | alt-s  |
| preview                | save and show markdown preview | alt-p  |
| links                  | save and show links      | alt-l  |
| stats                  | save and show stats      | alt-i  |
| delete                 | delete (rename as .del)  | alt-d  |

| On list                | action                   |
|------------------------|--------------------------|
| clic on tag            | filter list by tag (home with tags+param) |

| Url params             | action                   |
|------------------------|--------------------------|
| reindex                | force notes reindex      |
| clip+param             | same as button           |
| open+param             | same as button           |
| tags+param             | same as button           |
| search+param           | same as button           |